import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  userId: SortOrderSchema.optional()
}).strict();
export const ProcedureTimeslotAvgOrderByAggregateInputObjectSchema: z.ZodType<Prisma.ProcedureTimeslotAvgOrderByAggregateInput> = makeSchema() as unknown as z.ZodType<Prisma.ProcedureTimeslotAvgOrderByAggregateInput>;
export const ProcedureTimeslotAvgOrderByAggregateInputObjectZodSchema = makeSchema();
